-- [C6Mart].[GESTIONE_C6_S_Generator] 1, 4, 'T'
-- [C6Mart].[GESTIONE_C6_S_Generator] 4, 13, 'T' (monitoraggio,private,trim)
-- [C6Mart].[GESTIONE_C6_S_Generator] 4, 12, 'T' (monitoraggio,old/affluent,trim)
CREATE  procedure [C6Mart].[GESTIONE_C6_S_Generator_bkp_20250228_Pre_ESG2024]
@idReport as int,
@idModello as int,
@periodicita as varchar(1) = 'G'
AS
BEGIN
	SET NOCOUNT ON;
	if (@idModello=6)
begin
select * from C6Mart.generator_direct where codicesezione not like 'S%' and codiceSezione not in('FD147','FD133Bis') order BY ordineCapitolo,ordineParagrafo,ordineSezione
end
if (@idModello=5)
begin
SELECT * 
from C6Mart.Generator_Diagnosi
--where codiceSezione not in('S185')
 ORDER BY ordineCapitolo,ordineParagrafo,ordineSezione
end
END